FusionForge

Difference between revisions of "RPM Installation"

From FusionForge Wiki
Jump to: navigation, search
(Installation on CentOS / Red hat 5)
Line 10: Line 10:
 
Please report working/non working packages.
 
Please report working/non working packages.
  
''Note: The lastet version is 5.2(unstable,trunk version). If you want to use the latest one, please replace "5.1" with "5.2".''
+
''Note: You can already test the next version. If you want to use it, just replace "5.1" with "5.2".''
  
 
== Provided packages ==
 
== Provided packages ==

Revision as of 19:10, 3 May 2012

Installation on CentOS / Red hat 5

Run as root:

cd /etc/yum.repos.d/
wget http://fusionforge.fusionforge.org/repo/el5/5.1/dag-rpmforge.repo
wget http://fusionforge.fusionforge.org/repo/el5/5.1/fusionforge.repo
yum install --skip-broken fusionforge

Please report working/non working packages.

Note: You can already test the next version. If you want to use it, just replace "5.1" with "5.2".

Provided packages

While our build system is building RPM for all the available components, only the following packages are currently recommended:

  • fusionforge
  • fusionforge-plugin-extratabs
  • fusionforge-plugin-fckeditor
  • fusionforge-plugin-gravatar
  • fusionforge-plugin-ldapextauth
  • fusionforge-plugin-online_help
  • fusionforge-plugin-scmsvn
  • fusionforge-plugin-svntracker
  • fusionforge-plugin-mediawiki (fusionforge >= 5.2)

Notes for fusionforge-plugin-mediawiki

Installation of the mediawiki requires to add the EPEL yum repository:

cd /etc/yum.repos.d/
wget http://fusionforge.fusionforge.org/repo/el5/5.2/epel.repo
rpm --import http://fedoraproject.org/static/217521F6.txt
yum install -y fusionforge-plugin-mediawiki